<template>
  <q-page padding>
    <q-toolbar class="bg-blue-grey text-white shadow-2 rounded-borders">
      Gestión de Talleres y Experiencias de Formación
      <q-space />
      <div class="q-gutter-xs">
        <q-btn
          flat
          dense
          icon="chevron_right"
          label="Listado Completo"
          to="/formacion/experiencias/listado"
        />
      </div>
    </q-toolbar>
    <div class="row q-col-gutter-sm q-mt-sm">
      <div class="col-md-5 col-xs-12">
        <div class="text-titulo q-pa-xs">Experiencias Pendientes de Cierre</div>
        <PendientesCierrePartial />
      </div>
      <div class="col-md-7 col-xs-12">
        <div class="text-titulo q-pa-xs">
          Cursantes por Experiencias (Año en curso)
        </div>
        <q-card>
          <BarGenerico
            descripcion="Cursantes por Experiencias"
            url="/api/charts/formacion/cursantes_por_experiencia"
          />
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import PendientesCierrePartial from './Index/_PendientesCierrePartial.vue';
import BarGenerico from 'src/components/charts/BarGenerico.vue';

export default defineComponent({
  name: 'ExperienciasPage',
  components: { PendientesCierrePartial, BarGenerico },
  setup() {
    return {};
  },
});
</script>
